package org.arkiwi.app.feed;

public class FeedItem {
	@SuppressWarnings("unused")
	private static final String LOG_TAG = "FeedItem";
	protected int iid;
	protected String title;
	protected String mediaType;
	protected String pubDate;
	protected String descriprion;
	protected String guid;
	protected String link;
	protected String qrcode;
	protected int status;

	public FeedItem(){
		this.iid = 0;
		this.title = "";
		this.mediaType = "";
		this.pubDate = "";
		this.descriprion = "";
		this.guid = "";
		this.link = "";
		this.qrcode = "";
		this.status = 0;
	}
	
	public int getIid() {
		return iid;
	}

	public void setIid(int iid) {
		this.iid = iid;
	}

	public String getTitle(){
		//Log.d(LOG_TAG, title);
		return title;
	}
	
	
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getMediaType(){
		//Log.d(LOG_TAG, "" + mediaType);
		return mediaType;
	}
	
	public void setMediaType(String mediaType){
		this.mediaType = mediaType;
	}
	
	public String getPubDate() {
		return pubDate;
	}

	public void setPubDate(String pubDate) {
		this.pubDate = pubDate;
	}

	public String getDescriprion() {
		return descriprion;
	}

	public void setDescriprion(String descriprion) {
		this.descriprion = descriprion;
	}

	public String getGuid() {
		return guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}
	
	public String getQrcode() {
		return qrcode;
	}

	public void setQrcode(String qrcode) {
		this.qrcode = qrcode;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}
}
